Skip to content

Get business profile

GET
/api/v1/tenant/business-profile
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/tenant/business-profile \
--header 'X-API-Key: <X-API-Key>'

Return the current tenant’s business profile.

Successful Response

Media typeapplication/json
BusinessProfileResponse

Wrapper response for business profile endpoints.

Attributes: data: The business profile payload.

object
data
required
BusinessProfileData

Business profile fields returned by GET /tenant/business-profile.

Attributes: id: Unique profile identifier. tenant_id: Owning tenant UUID. name: Business name. description: Brief description of the business. industry: Industry classification. sub_industry: Sub-industry classification. stage: Business stage (e.g. seed, growth, scale). business_model: Revenue model (e.g. SaaS, marketplace). website_url: Business website URL. location: Physical location. employee_count: Number of employees. annual_revenue_range: Revenue range bucket. target_customer: Description of ideal customer. unique_value_proposition: Core UVP text. products_services: Products and services description. current_challenges: List of current business challenges.

object
annual_revenue_range
required
Any of:
string
business_model
required
Any of:
string
current_challenges
required
Current Challenges
Array
description
required
Any of:
string
employee_count
required
Any of:
integer
id
required
Id
string format: uuid
industry
required
Any of:
string
location
required
Any of:
string
name
required
Name
string
products_services
required
Any of:
string
stage
required
Any of:
string
sub_industry
required
Any of:
string
target_customer
required
Any of:
string
tenant_id
required
Tenant Id
string format: uuid
unique_value_proposition
required
Any of:
string
website_url
required
Any of:
string
Examplegenerated
{
"data": {
"annual_revenue_range": "example",
"business_model": "example",
"current_challenges": [
"example"
],
"description": "example",
"employee_count": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"industry": "example",
"location": "example",
"name": "example",
"products_services": "example",
"stage": "example",
"sub_industry": "example",
"target_customer": "example",
"tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"unique_value_proposition": "example",
"website_url": "example"
}
}